Subject: TCPCT API update for 2.6.37

From: William Allen Simpson <[email-masked]>
Date: Wed, 12 Jan 2011 12:43:00 -0500

With the recent flurry of messages related to TCPCT, I devoted a nice
snowy Saturday afternoon to updating the socket option code.  Linux is
rather behind on TCPCT implementation, so this will help with future
software compatibility.

Currently, any userland programs written to RFC-to-be-6013 will not
interoperate with Linux 2.6.33 and beyond.  I've made these patches
for 2.6.37 -- they'll also need to be ported to earlier releases.

I'm not on this list, so anybody with comments should CC me.  Thanks.